Bug 1444180 - Sorting configuration providers by url throws "undefinedColumn: ERROR: column providers.url does not exist"
Summary: Sorting configuration providers by url throws "undefinedColumn: ERROR: column...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: lgalis
QA Contact: Jan Krocil
URL:
Whiteboard: ui:error:satellite
Depends On: 1384330
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 18:59 UTC by Satoe Imaishi
Modified: 2017-05-31 14:56 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1384330
Environment:
Last Closed: 2017-05-31 14:56:56 UTC
Category: ---
Cloudforms Team: Satellite
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-20 22:41:17 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/ac29139dadf997ea28a8b8e7490a51a823ca16c7

commit ac29139dadf997ea28a8b8e7490a51a823ca16c7
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Apr 20 09:38:57 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 20 18:36:51 2017 -0400

    Merge pull request #14810 from lgalis/foreman_sort_by_url
    
    Fix sort by url for the configuration manager provider list
    (cherry picked from commit 8ba23bf3fff6588db89441408a225897bf4290a7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444180

 app/models/manageiq/providers/configuration_manager.rb             | 3 +++
 product/views/ManageIQ_Providers_ConfigurationManager.yaml         | 5 +++--
 product/views/ManageIQ_Providers_Foreman_ConfigurationManager.yaml | 5 +++--
 3 files changed, 9 insertions(+), 4 deletions(-)

Comment 3 CFME Bot 2017-04-24 15:48:07 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/537fe10c64b8286630ecd0c12e65c057ded94040

commit 537fe10c64b8286630ecd0c12e65c057ded94040
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Fri Apr 21 17:30:39 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 11:45:38 2017 -0400

    Merge pull request #1086 from lgalis/foreman_url_sort_spec
    
    Spec for configuration manager providers sort by url
    (cherry picked from commit 7769b5cad7cb8623009de2e6e5573cf68a92f590)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444180

 app/views/layouts/listnav/_configuration_job.html.haml |  2 +-
 spec/controllers/provider_foreman_controller_spec.rb   | 10 ++++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

Comment 4 Jan Krocil 2017-05-02 15:16:05 UTC
Verified in 5.8.0.12-rc1.20170425180304_4f35996.

Comment 6 errata-xmlrpc 2017-05-31 14:56:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.